Skip to content

Sends out a preview of the email

Request

Sends out a preview of the email

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

Bodyapplication/jsonrequired

The domain_name to use to for record lookup

cancellation_idstring(Cancellation)
coupon_idstring(Coupon)required
coupon_typestring(Coupon Type)required
destination_email_addressstring(Destination Email Address)required
email_templateobject(Email Template)
order_idstring(Order)
order_item_line_numbernumber, (float)(Order Item Line Number)
return_idstring(Return)
shipment_idstring(Shipment)required
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/couponCodes/{tenantId}/previewEmail' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "cancellation_id": "string",
    "coupon_id": "string",
    "coupon_type": "string",
    "destination_email_address": "string",
    "email_template": {
      "bcc": "string",
      "body": "string",
      "cc": "string",
      "from": "string",
      "from_name": "string",
      "reply_to": "string",
      "subject": "string"
    },
    "order_id": "string",
    "order_item_line_number": 0.1,
    "return_id": "string",
    "shipment_id": "string"
  }'

Responses

The record was retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring